Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.impl.jxta
Class EventPacket

    java.lang.Object
      com.sun.enterprise.ee.cms.impl.jxta.EventPacket

    public class EventPacket

extends Object

Version:
  $Revision: 1.4 $
Author:
  Shreedhar Ganapathy Date: Jun 27, 2006

Constructor Summary
`EventPacket(com.sun.enterprise.jxtamgmt.ClusterViewEvents clusterViewEvent, com.sun.enterprise.jxtamgmt.SystemAdvertisement systemAdvertisement, com.sun.enterprise.jxtamgmt.ClusterView clusterView)`

Method Summary
`com.sun.enterprise.jxtamgmt.ClusterView` | `getClusterView()`
`com.sun.enterprise.jxtamgmt.ClusterViewEvents` | `getClusterViewEvent()`
`com.sun.enterprise.jxtamgmt.SystemAdvertisement` | `getSystemAdvertisement()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventPacket

    public EventPacket(com.sun.enterprise.jxtamgmt.ClusterViewEvents clusterViewEvent,
                       com.sun.enterprise.jxtamgmt.SystemAdvertisement systemAdvertisement,
                       com.sun.enterprise.jxtamgmt.ClusterView clusterView)

Method Detail

### getClusterViewEvent

    public com.sun.enterprise.jxtamgmt.ClusterViewEvents getClusterViewEvent()

### getSystemAdvertisement

    public com.sun.enterprise.jxtamgmt.SystemAdvertisement getSystemAdvertisement()

### getClusterView

    public com.sun.enterprise.jxtamgmt.ClusterView getClusterView()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.